OpenAI Integration

Retrieve container (OpenAI format)

Retrieves a specific container by ID.

Note: This endpoint also works without the /v1 prefix (e.g., /openai/containers/{container_id}).

GET
/openai/v1/containers/{container_id}
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

container_idstring

Container ID

Query Parameters

provider?string

Provider for the container (defaults to openai)

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/openai/v1/containers/string?provider=string"
{
  "id": "string",
  "object": "string",
  "name": "string",
  "created_at": 0,
  "status": "running",
  "expires_after": {
    "anchor": "string",
    "minutes": 0
  },
  "last_active_at": 0,
  "memory_limit": "string",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "extra_fields": {
    "request_type": "string",
    "provider": "openai",
    "model_requested": "string",
    "model_deployment": "string",
    "latency": 0,
    "chunk_index": 0,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "string",
      "hit_type": "string",
      "requested_provider": "string",
      "requested_model": "string",
      "provider_used": "string",
      "model_used": "string",
      "input_tokens": 0,
      "threshold": 0,
      "similarity": 0
    }
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings